/* The navbar section */
.navbar {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
    background-color: var(--primary-color);
    height: 15vh;
    padding: 0 1vw;
    box-sizing: border-box;
    position: relative;
}

/* The title section of the navbar */
.navbar__title {
    flex: 4;
    margin: 0;
    font-size: 6vh;
    padding-left:2vw;
    color: var(--white-color);
}

/* The menu bar section of the navbar */
.navbar__menu-bar {
    display: none;
    cursor: pointer;
    height: 5vh;
    width: auto;
}

/* The image section of the menu bar */
.navbar__menu-bar img {
    height: 100%;
    width: auto;
}

/* The hover effect of the menu bar */
.navbar__menu-bar:hover {
    opacity: 0.5;
}

/* The links section of the navbar */
.navbar__links {
    flex: 5;
    display: flex;
    font-size: 4vh;
    align-items: center;
    justify-content: flex-end;
    gap: 5vw;
    padding-right: 2vw;
}

/* The link section of the navbar */
.navbar__link {
    color: var(--white-color);
    text-decoration: none;
}

/* The linkedin link section of the navbar */
.navbar__link--linkedin { 
    display: inline-block;
    height: 5vh;
    width: auto;
}

/* The linkedin link (image) section of the navbar */
.navbar__link--linkedin img {
    height: 100%;
    width: auto;
    vertical-align: middle;
}

/* Add smooth scaling on hover for navbar links */
.navbar__link, .navbar__link--linkedin {
    transition: color 0.2s, background 0.2s, transform 0.2s;
}

.navbar__link:hover, .navbar__link--linkedin:hover {
    opacity: 0.5;
    transform: scale(1.15);
}

/* Selector for the menu toggle checkbox */
#menuToggle {
    display: none;
}

/* Sets properties when the screen is smaller than 650px*/
@media (max-width: 650px) {
    /* Hides the links when the screen is smaller than 650px*/
    .navbar__links {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 15vh; 
        right: 0;
        background-color: var(--primary-color);
        width: 100%;
        padding: 1vh 0;
        gap: 5vh;
        align-items: center;
        z-index: 1000;
    }

    /* Displays the menu bar when the screen is smaller than 650px*/
    .navbar__menu-bar {
        display: block;
    }

    /* Displays the links when the menu bar is clicked */
    #menuToggle:checked ~ .navbar__links {
        display: flex;
    }

    /* Displays the linkedin link (not image) when the screen is smaller than 650px*/
    .navbar__link--linkedin {
        display: inline-block;
        height: auto; 
        width: auto;
    }

    /* Hides the linkedin link (image) when the screen is smaller than 650px*/
    .navbar__link--linkedin img {
        display: none;
    }

    /* Displays the linkedin link (text) when the screen is smaller than 650px*/
    .navbar__link--linkedin::before {
        content: "LinkedIn";
        display: inline-block;
        color: var(--white-color);
    }
}